/*static char *SCCSID = "@(#)pbmsg.h	6.1 90/11/18";*/
/*static char *SCCSID = "@(#)pbmsg.h 13.1 90/02/27";*/
/*
 *  This file contains strings used by the file system for
 *  displaying panic messages etc. These strings are
 *  allocated in the MSG_DATA far data segment.
 */

#ifdef DEFMSG
#undef DEFMSG
#endif

#ifdef PBMSG_INIT
#define DEFMSG(Name,Txt) PCHAR FAR Name = Txt
#else
#define DEFMSG(Name,Txt) extern PCHAR FAR Name
#endif




DEFMSG( PBMSG_MKDIR_LDENOTFOUND   ,   "MkDir:  LDE returned LDE_NOT_FOUND.");
DEFMSG( PBMSG_ADDEXT_GASFAILED    ,   "AddExt: GAS failed.");
DEFMSG( PBMSG_ADDEXT_GAS2FAILED   ,   "AddExt: GAS( 2) failed.");
DEFMSG( PBMSG_COLS_NODE_EMPTY     ,   "COLS: ALBLK NODE is empty");
DEFMSG( PBMSG_COLS_LEAF_EMPTY     ,   "COLS: ALBLK LEAF is empty");
DEFMSG( PBMSG_ALLOCDB_NOSPARES    ,   "AllocDB: Totally ran out of spare dirblks");
DEFMSG( PBMSG_HOTFIX_NOSECTORS    ,   "HotFix: Ran out of available HotFix sectors");
DEFMSG( PBMSG_ADJUST_ENDOFPARENT  ,   "Adjust: found end of parent dirblk");
DEFMSG( PBMSG_CLOSEDA_POFTLOCKED  ,   "CloseDA: POFT is locked or has lock pending");
DEFMSG( PBMSG_CLOSEDA_MANYCLIENTS ,   "CloseDA: More than one client?");
DEFMSG( PBMSG_CLOSEDA_LOCKPENDING ,   "CloseDA: Lock pending bit is set");
DEFMSG( PBMSG_CLOSEDA_SEMONEWAITS ,   "CloseDA: someone else waiting");
DEFMSG( PBMSG_CACHINIT_TOOLARGE   ,   "CachInit: memory request from heap too large");
DEFMSG( PBMSG_DIRTYMSG_NOHEAP     ,   "DirtyMountMessage: Unable to allocate heap for error message.");
DEFMSG( PBMSG_DIRTYMSG_CRITERROR  ,   "DirtyMountMessage: unexpected CRITERROR action");
DEFMSG( PBMSG_HEAPINIT_FAILED     ,   "HeapInit: HPFS failed to initialize heap");
DEFMSG( PBMSG_CLRSPARE_READERROR  ,   "ClrSpare: Error reading spares block!");
DEFMSG( PBMSG_CLRSPARE_WRITEERROR ,   "ClrSpare: Error writing spares block!");
DEFMSG( PBMSG_WRTSPARE_READERROR  ,   "WrtSpare: Error reading spares block!");
DEFMSG( PBMSG_FREEDAT_TFAERROR    ,   "FreeDat: TFA returned error");
DEFMSG( PBMSG_LOCKSWAP_FORCEERR   ,   "LockSwap: Failed to force NOSWAP");
DEFMSG( PBMSG_LOCKSWAP_RELEASEERR ,   "LockSwap: Failed to release NOSWAP");
DEFMSG( PBMSG_SEMREQ_RET_NONZERO  ,   "SemReq: FSH_SEMREQUEST returned non-zero\n");
DEFMSG( PBMSG_CPS_ALBLK_EMPTY     ,   "CPS: Empty allocation block--not supported.");
DEFMSG( PBMSG_CPS_SPARSE_ALLOC    ,   "CPS: corrupt file--sparse allocation.");
DEFMSG( PBMSG_CPS_EXTENTNOTOFOUND ,   "CPS: Extent not found.");
DEFMSG( PBMSG_CPS_EXTENTNOTOFOUND2,   "CPS: Extent not found.");
DEFMSG( PBMSG_HOTFIX_SHUTDOWN     ,   "HoTFix: HotFix not allowed during ShutDown");
DEFMSG( PBMSG_RDHF_DOVOLIO        ,   "RdHF: DoVolIO Error");
DEFMSG( PBMSG_WTHF_DOVOLIO        ,   "WtHF: DoVolIO Error");
DEFMSG( PBMSG_DELSBDIR_SDF_PSO    ,   "DelSbDir: Pending solo");
DEFMSG( PBMSG_MFS_RHD_ERROR       ,   "MFS: RHD error");
DEFMSG( PBMSG_DOPIO_NOCANDO       ,   "DoPIO: Cannot handle request");
DEFMSG( PBMSG_DOPIO_QDISKOP_ERROR ,   "DoPIO: QDiskOP returned Error");
